Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Web Servers >> Microsoft's Index server reveals ASP source code


Vulnerability Assessment Details

Microsoft's Index server reveals ASP source code

Vulnerability Assessment Summary
Checks for a problem in webhits.dll

Detailed Explanation for this Vulnerability Assessment

It is possible to get the source code of
ASP scripts by issuing the following request :

GET /null.htw?CiWebHitsFile=/default.asp%20&CiRestriction=none&CiHiliteType=Full

ASP source codes usually contain sensitive information such
as usernames and passwords.

Solution : If you need the functionality provided by
WebHits, then install the patch available at :
http://www.microsoft.com/technet/security/bulletin/ms00-006.mspx

If you do not need this functionality, then unmap the
.htw extensions from webhits.dll using the Internet
Service Manager MMC snap-in.

Network Security Threat Level: High

Networks Security ID: 1084, 950

Vulnerability Assessment Copyright: This script is Copyright (C) 2000 Renaud Deraison

Cables, Connectors

SONICWALL - HARDWARE 01-SSC-0214 DELL TZ400 WL-AC -
$1004.51
SONICWALL - HARDWARE 01-SSC-0214 DELL TZ400 WL-AC -  pictureSONICWALL - HARDWARE 01-SSC-0212 DELL TZ500 WL-AC -
$1260.74
SONICWALL - HARDWARE 01-SSC-0212 DELL TZ500 WL-AC -  pictureSONICWALL - HARDWARE 01-SSC-0505 DELL SONICWALL TZ400 WITH 3YR -
$1394.15
SONICWALL - HARDWARE 01-SSC-0505 DELL SONICWALL TZ400 WITH 3YR -  pictureSONICWALL - HARDWARE 01-SSC-0504 DELL SONICWALL TZ400 WITH 2YR -
$1123.42
SONICWALL - HARDWARE 01-SSC-0504 DELL SONICWALL TZ400 WITH 2YR -  picture


Discussions

No Discussions have been posted on this vulnerability.